local key = vim.api.nvim_set_keymap
local u = require('utils')

vim.cmd([[autocmd bufenter * if (winnr("$") == 1 && exists("b:NERDTree") && b:NERDTree.isTabTree()) | q | endif]])
vim.cmd([[autocmd BufNewFile,BufRead *.md setlocal filetype=notes]])

key('n', ';', ':Files<CR>', {})
key('', '<C-n>', ':NERDTreeToggle<CR>', {})

-- LSP Key Config
local silent_opts = {silent = true}
key('n', '<c-]>', ':lua vim.lsp.buf.definition()<CR>',       silent_opts)
key('n', 'K',     ':lua vim.lsp.buf.hover()<CR>',            silent_opts)
key('n', 'gD',    ':lua vim.lsp.buf.implementation()<CR>',   silent_opts)
key('n', '<c-k>', ':lua vim.lsp.buf.signature_help()<CR>',   silent_opts)
key('n', '1gD',   ':lua vim.lsp.buf.type_definition()<CR>',  silent_opts)
key('n', 'gr',    ':lua vim.lsp.buf.references()<CR>',       silent_opts)
key('n', 'g0',    ':lua vim.lsp.buf.document_symbol()<CR>',  silent_opts)
key('n', 'gW',    ':lua vim.lsp.buf.workspace_symbol()<CR>', silent_opts)
key('n', 'gd',    ':lua vim.lsp.buf.definition()<CR>',       silent_opts)
key('n', 'ga',    ':lua vim.lsp.buf.code_action()<CR>',      silent_opts)
key('n', 'ff',    ':lua vim.lsp.buf.formatting()<CR>',       silent_opts)
