vim.cmd([[autocmd BufWritePost plugins.lua source <afile> | PackerCompile]])

return require('packer').startup({function()
  -- Packer can manage itself
  use 'wbthomason/packer.nvim'

  use 'vim-airline/vim-airline'
  use 'scrooloose/nerdtree'
  use 'Xuyuanp/nerdtree-git-plugin'
  use 'liuchengxu/space-vim-dark'
  
  use 'tpope/vim-fugitive'
  use 'tpope/vim-commentary'
  use { 'tpope/vim-dispatch', opt = true, cmd = { 'Dispatch', 'Dispatch!' } }
  use 'junegunn/fzf.vim'
  use 'sheerun/vim-polyglot'
  use 'honza/vim-snippets'
  use 'szw/vim-tags'
  use 'rodjek/vim-puppet'
  use 'tpope/vim-rails'
  use 'tpope/vim-haml'
  use 'vim-scripts/bash-support.vim'
  use "akinsho/nvim-toggleterm.lua"
  use 'xolox/vim-notes'
  use 'xolox/vim-misc'
  use 'jremmen/vim-ripgrep'
  use 'airblade/vim-gitgutter'
  -- LSP Setup
  use 'neovim/nvim-lspconfig'
  use 'kabouzeid/nvim-lspinstall'
  use 'hrsh7th/nvim-cmp'
  use 'hrsh7th/cmp-nvim-lsp'
  use 'hrsh7th/cmp-vsnip'
  use 'hrsh7th/cmp-path'
  use 'hrsh7th/cmp-buffer'
  use 'simrat39/rust-tools.nvim'
  use 'nvim-lua/popup.nvim'
  use 'nvim-lua/plenary.nvim'
  use 'nvim-telescope/telescope.nvim'
end,
config = {
  display = {
    open_fn = require('packer.util').float,
  }
}})
